Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226665 - Merge Review: yp-tools
Summary: Merge Review: yp-tools
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jiri Popelka
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:36 UTC by Nobody's working on this, feel free to take it
Modified: 2009-12-10 15:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-10 15:18:12 UTC
jpopelka: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:36:30 UTC
Fedora Merge Review: yp-tools

http://cvs.fedora.redhat.com/viewcvs/devel/yp-tools/
Initial Owner: steved@redhat.com

Comment 1 Jiri Popelka 2009-11-26 10:19:30 UTC
formal review of yp-tools-2.9-8.fc12 is here, see the notes below:

YES source files match upstream:
  19de06a04129ec26773f9198e086fcd4  yp-tools-2.9.tar.bz2
YES package meets naming and versioning guidelines.
YES specfile is properly named, is cleanly written and uses macros consistently.
YES dist tag is present.
YES build root is correct.
YES license field matches the actual license.
YES license is open source-compatible.
YES License text included in package.

NO latest version is being packaged.
  http://www.linux-nis.org/nis/yp-tools/index.html
  claims current version is yp-tools-2.10

N/A BuildRequires are proper.
YES compiler flags are appropriate.
YES %clean is present.
YES package builds in mock (Rawhide/x86_64).
YES debuginfo package looks complete.

NO rpmlint is silent.
  yp-tools.src: W: summary-ended-with-dot NIS (or YP) client programs.
  yp-tools.src:11: W: unversioned-explicit-obsoletes yppasswd
  yp-tools.src:11: W: unversioned-explicit-obsoletes yp-clients
  yp-tools.x86_64: W: summary-ended-with-dot NIS (or YP) client programs.
  yp-tools.x86_64: W: obsolete-not-provided yppasswd
  yp-tools.x86_64: W: obsolete-not-provided yp-clients

YES final provides and requires look sane.
N/A %check is present and all tests pass.
YES no shared libraries are added to the regular linker search paths.
YES owns the directories it creates.
YES doesn't own any directories it shouldn't.
YES no duplicates in %files.
YES file permissions are appropriate.
YES no scriptlets present.
YES code, not content.
YES documentation is small, so no -docs subpackage is necessary.
YES %docs are not necessary for the proper functioning of the package.
YES no headers.
YES no pkgconfig files.
YES no libtool .la droppings.
YES not a GUI app.


I think these above mentioned rpmlint warnings may be omitted.
yp-tools-2.9-8.fc12 is all right
(I hope version 2.10 will be included in next release)
so I'm giving APPROVED.

Comment 2 Karel Klíč 2009-12-10 15:18:12 UTC
The rpmlint warnings were fixed.
The package was updated to the newest version.

Thank you, Jiri, for the review.


Note You need to log in before you can comment on or make changes to this bug.